import 'package:google_sign_in/google_sign_in.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final googleSignInProvider = StateProvider<GoogleSignIn>((ref) {
  return GoogleSignIn(
    scopes: [
      'email',
      'https://www.googleapis.com/auth/contacts.readonly',
    ],
  );
});

final currentUserGoogleProvider = StateProvider<GoogleSignInAccount?>((ref) => null);

final isNotifyFromLogout = StateProvider<bool>((ref) => false);